sysdig (0.29.3-1) unstable; urgency=medium

  * New upstream release
  * Dima Kogan is the new maintainer
  * Kernel driver, userspace libraries moved to separate
    falcosecurity-libs package, to follow upstream

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Jun 2022 14:49:27 -0700

sysdig (0.27.1-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix -Wformat-security error (Closes: #997171)

 -- Dima Kogan <dkogan@debian.org>  Sun, 06 Feb 2022 22:30:59 -0800

sysdig (0.27.1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix FTBFS on armhf. Thanks to Paolo Pisati for the patch. (Closes: #966479)

 -- Dima Kogan <dkogan@debian.org>  Sun, 07 Mar 2021 20:55:11 -0800

sysdig (0.27.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #976053)

 -- Dima Kogan <dkogan@debian.org>  Sat, 30 Jan 2021 17:55:30 -0800

sysdig (0.26.7-2) unstable; urgency=medium

  * Fix FTBFS on mips architecture. 

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 07 Jun 2020 00:47:34 -0400

sysdig (0.26.7-1) unstable; urgency=medium

  * New upstream version 0.26.7 (Closes: #955279, #946463, #958643)
  * Refresh patches.
  * Add dep on libgtest-dev
  * Switch to debhelper-compat, dh 13
  * Bump S-V; no changes needed
  * Make dh-missing happy

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 03 Jun 2020 22:02:05 -0400

sysdig (0.26.4-1) unstable; urgency=medium

  * New upstream version 0.26.4 (Closes: #927418)
  * Refresh fix-arm64 patch.
  * Refresh luajit patch.
  * Add dep on libc-ares, protobuf, grpc
  * Bump S-V, compat; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 14 Oct 2019 22:50:22 -0400

sysdig (0.24.1-3) unstable; urgency=high

  * Refresh patch to fix missed #ifdef (Closes: #905929)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 15 Apr 2019 21:55:31 -0400

sysdig (0.24.1-2) unstable; urgency=high

  * Integrate patch to fix RISC-V and arm64 FTBFS. (Closes: #905929)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 06 Apr 2019 16:56:12 -0400

sysdig (0.24.1-1) unstable; urgency=medium

  * New upstream version 0.24.1
  * Rework d/copyright to reflect change to Apache-2.0 license
  * Bump S-V with addition of R-R-R

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 21 Oct 2018 15:18:26 -0400

sysdig (0.22.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904489)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 24 Jul 2018 23:26:14 -0400

sysdig (0.21.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump compat to 11 with related fixes.
  * Update Vcs-* to salsa, use HTTPS for homepage.
  * Minor tweaks to d/copyright for policy compliance.
  * Drop unnecessary arg to debhelper

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 18 May 2018 15:55:51 -0400

sysdig (0.19.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #872035)
  * Apply patch to fix LuaJIT compilation failures. (Closes: #873326)
  * Bump S-V to 4.1.1; no changes needed.
  * Switch sysdig-dkms to kernel section.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 07 Oct 2017 19:45:37 -0400

sysdig (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Update priority to optional for Policy v4.0.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 07 Aug 2017 21:17:05 -0400

sysdig (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0
    + Adds support for kernel 4.11
      LP: #1691846

 -- Evgeni Golov <evgeni@debian.org>  Sat, 20 May 2017 08:56:52 +0200

sysdig (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
    + Adds support for kernel 4.10
      Closes: #858599
  * tighten build-dep on libjsoncpp-dev
  * drop build-dep on jq, it's redundant to libjq-dev
  * drop linux-4.9.1-compat patch, it was from upstream

 -- Evgeni Golov <evgeni@debian.org>  Sun, 30 Apr 2017 17:43:36 +0200

sysdig (0.13.0-2) unstable; urgency=medium

  * apply upstream patch to fix compatibility with linux >= 4.9.1
    Closes: #851752
  * fix Vcs-Git entry, it was missing a /git/

 -- Evgeni Golov <evgeni@debian.org>  Sat, 21 Jan 2017 17:51:19 +0100

sysdig (0.13.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #847059)
  * Adopt more aggressive hardening options.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 29 Dec 2016 23:23:44 -0500

sysdig (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix FTBFS. (Closes: #822498)
  * Change email address to @debian.org.
  * Update d/copyright to reflect new OpenSSL exception
  * Bump S-V; no changes required.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 25 Apr 2016 20:32:25 -0400

sysdig (0.8.0-1) unstable; urgency=medium

  * Drop priority to extra due to dep on libjsoncpp.
  * New upstream release.
  * Rework d/copyright with updates.
  * Switch Vcs-git to https.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 06 Feb 2016 18:48:27 -0500

sysdig (0.5.1-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update long package description to mention when the package sysdig
    suffices and when sysdig-dkms is needed, too.
  * Update Vcs-Browser to use cgit and https.

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Drop patch applied upstream.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 16 Nov 2015 22:15:50 -0500

sysdig (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new deps on libb64, libssl, libcurl to supprt new chisels.
  * Apply patch submitted upstream to fix disabling of bundled libraries.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Fri, 13 Nov 2015 00:12:09 -0500

sysdig (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 01 Nov 2015 16:12:54 -0500

sysdig (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 17 Oct 2015 12:25:50 +0200

sysdig (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 19 Sep 2015 11:44:14 -0400

sysdig (0.1.101-2) unstable; urgency=medium

  * apply two patches from upstream to fix FTBFS on arm*
    Closes: #790828

 -- Evgeni Golov <evgeni@debian.org>  Fri, 03 Jul 2015 15:54:06 +0200

sysdig (0.1.101-1) unstable; urgency=medium

  * New upstream release.
  * add Build-Depends on libncurses5-dev, needed for csysdig
  * install csysdig binary
  * drop 0001-fix-length-spelling.patch, applied upstream
  * force use of system ncurses

 -- Evgeni Golov <evgeni@debian.org>  Sun, 14 Jun 2015 11:59:02 +0200

sysdig (0.1.99-1) unstable; urgency=medium

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Add patch to fix minor misspellings in manpage.
  * Tweak description to include keyword "statistics", more natural flow.
    Closes: #780338

  [ Evgeni Golov ]
  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 09 May 2015 21:15:47 +0200

sysdig (0.1.97-1) experimental; urgency=medium

  * New upstream release.
    + Builds properly against kernel 3.19
      Closes: #774693
      LP: #1419402

 -- Evgeni Golov <evgeni@debian.org>  Sat, 28 Feb 2015 11:49:42 +0100

sysdig (0.1.92-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6 (no changes needed).

 -- Evgeni Golov <evgeni@debian.org>  Fri, 14 Nov 2014 18:01:21 +0100

sysdig (0.1.89-1) unstable; urgency=low

  [ Evgeni Golov ]
  * New upstream release

  [ Harlan Lieberman-Berg ]
  * Install zsh tab completion files as per Debian layout. (Closes: #758823)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 26 Sep 2014 14:57:58 +0200

sysdig (0.1.88-1) unstable; urgency=medium

  * New upstream release
  * Drop process-the-scripts-directory-on-non-Linux-systems.patch,
    it was applied upstream.
  * d/watch: tighten the download URL to only release-tags

 -- Evgeni Golov <evgeni@debian.org>  Thu, 21 Aug 2014 15:56:56 +0200

sysdig (0.1.87-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream release

  [ Harlan Lieberman-Berg ]
  * Tighten pandoc B-D
  * Add Harlan Lieberman-Berg as co-maintainer

 -- Evgeni Golov <evgeni@debian.org>  Thu, 07 Aug 2014 21:47:41 +0200

sysdig (0.1.86-2) unstable; urgency=medium

  * properly install Bash/Zsh completion on !Linux
    Closes: #755362

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Jul 2014 08:38:36 +0200

sysdig (0.1.86-1) unstable; urgency=medium

  * New upstream release
    + Does not FTBFS on !Linux anymore
      Closes: #755362
  * Rebuild manpage using pandoc, instead of shipping the prebuilt version
  * Ship all upstream Zsh files

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Jul 2014 07:55:34 +0200

sysdig (0.1.85-2) unstable; urgency=medium

  * Use dh_install --list-missing, thanks Felix Geyer
  * define /etc, so cmake does not try to install to /usr/etc...
  * properly install bash and zsh completions, thanks Felix Geyer

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Jul 2014 11:52:44 +0200

sysdig (0.1.85-1) unstable; urgency=medium

  * New upstream release

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Jul 2014 11:07:35 +0200

sysdig (0.1.84-1) unstable; urgency=medium

  * New upstream release
    + Now supports Lua as an alternative to LuaJIT, thanks Felix Geyer
  * Add Lua as an alternative Build-Dependency
  * Drop use-json.h-from-the-include-path-instead-of-hardcodi.patch
    it was merged upstream

 -- Evgeni Golov <evgeni@debian.org>  Fri, 27 Jun 2014 07:21:40 +0200

sysdig (0.1.83-1) unstable; urgency=medium

  * New upstream release
    + Does not try to insmod the module from ../../driver/ anymore.
      Closes: #747492

 -- Evgeni Golov <evgeni@debian.org>  Sat, 07 Jun 2014 11:40:54 +0200

sysdig (0.1.82-1) unstable; urgency=medium

  * New upstream release
  * do not require dpkg >= 1.17.0 anymore for building

 -- Evgeni Golov <evgeni@debian.org>  Thu, 08 May 2014 08:34:46 +0200

sysdig (0.1.81-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on zlib1g-dev and use it for building
  * drop LuaJIT from debian/copyright, upstream does not ship the
    copy anymore
  * Only require and execute dh_dkms when building arch-independent
    stuff

 -- Evgeni Golov <evgeni@debian.org>  Thu, 01 May 2014 14:53:09 +0200

sysdig (0.1.79-1) unstable; urgency=low

  * Initial release (Closes: #743819)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 06 Apr 2014 21:57:44 +0200
